from django.conf.urls import url

from . import views
from reports import views

urlpatterns = [
    #url(r'^(?P<purchase_id>(\d+))/(?P<report>[\w\-]+)$', views.report_L2ASCL, name='report'),
    url(r'^(?P<purchase_id>(\d+))$', views.report_L2ASCL, name='report'),
    url(r'^$', views.Reports, name='reports'),
    url(r'^tiles/(?P<purchase_id>(\d+))/(?P<report>[\w\-]+)/(?P<layer_type>[\w\-]+)/(?P<date>[0-9]+)/(?P<z>[0-9]+)/(?P<x>[0-9]+)/(?P<y>[0-9]+).png$',
        views.tiles, name='tile'),
    url(r'^tiles/tileinfo$', views.tileinfo, name='tileinfo'),
    #########################################################
    #                           ajax                        #
    #########################################################
    url(r'^ws/process_progress$', views.wsProcessProgress, name='wsProcessProgress'),
    url(r'^ws/is_public', views.wsIs_Public, name='wsIs_Public'),
    url(r'^ws/wsEditTitle', views.wsEditTitle, name='wsEditTitle'),
    url(r'^ws/PDF/(?P<purchase_id>(\d+))$', views.PDFGenerator, name='PDF'),
]
